<script>
import { Profile } from 'user/profile';

export default {

	data(){
		return {
			state:Profile.getState(),
		};
	},
	methods:{
		logout(){
			Profile.logout();
		}
	}

}
</script>

<template>
<span v-if="state.loggedIn">
	<button type="button" @click="logout()">logout</button>
</span>
<span v-else><button type="button" @click="$emit('show-login')">login</button></span>
</template>